Page 1 of 1

Why can't I register.

Posted: Wed Nov 29, 2017 11:52 am
by pquodling
I have two macs - an Imac, and a Mac Book Pro. As I recall, V2 was inherently licensed for multiple computers (owned by the same person. V2 worked fine on both.

I installed V3 on the MBP registered it, and works fine - went to install on the Imac, and it's saying Invalid Serial Number or Name - please check that the serial number and name you have entered mach the ones in your order confirmation email....

So did the licensing change?

Re: Why can't I register.

Posted: Wed Nov 29, 2017 5:06 pm
by kewms
The licensing hasn't changed, but please make sure you are using the V3 serial number and have installed V3 on the iMac. I've seen a lot of cases of mismatch between the serial number and the software leading to this error.

Katherine

Re: Why can't I register.

Posted: Wed Nov 29, 2017 7:07 pm
by pquodling
Most definitely - I renamed the old Scrivener image, and this one is dated last modified in Nov 17
The About says 3.0

The Serial Number starts with a SCRIV3MAC001-

I Vaguely recall seeing similar in V2, and a reboot being necessary - I'll try that...

Re: Why can't I register.

Posted: Wed Nov 29, 2017 9:40 pm
by pquodling
Yup, rebooted and it worked fine - you may want to highlight that in the install process docs.

Re: Why can't I register.

Posted: Fri Dec 01, 2017 4:37 pm
by dom-tom
The activation number I received works with scrivener 3 and I have scrivener 2.8.1.2.
what should I do.
on my old mac, I can not install scrivener3

Re: Why can't I register.

Posted: Fri Dec 01, 2017 4:59 pm
by kewms
dom-tom wrote:The activation number I received works with scrivener 3 and I have scrivener 2.8.1.2.
what should I do.
on my old mac, I can not install scrivener3


You can download Scrivener 2.9 here:
http://www.literatureandlatte.com/legacy-download

It will accept a Scrivener 3 serial number and will work with older Macs.

Katherine

Re: Why can't I register.

Posted: Mon Dec 04, 2017 11:47 am
by dom-tom
kewms wrote:
dom-tom wrote:The activation number I received works with scrivener 3 and I have scrivener 2.8.1.2.
what should I do.
on my old mac, I can not install scrivener3


You can download Scrivener 2.9 here:
http://www.literatureandlatte.com/legacy-download

It will accept a Scrivener 3 serial number and will work with older Macs.

Katherine

Re: Why can't I register.

Posted: Mon Dec 04, 2017 11:57 am
by dom-tom
thanks,
the number was accepted with scrivener 2.9.
registration made and works. but now, I have a big problem, I can not open my project in V 2.9. he marks me the chapters, but they are empty. I am on Mac os x 10.6

Re: Why can't I register.

Posted: Mon Dec 04, 2017 5:56 pm
by devinganger
dom-tom wrote:thanks,
the number was accepted with scrivener 2.9.
registration made and works. but now, I have a big problem, I can not open my project in V 2.9. he marks me the chapters, but they are empty. I am on Mac os x 10.6


Did you already open the project in Scrivener 3? If so, the project format changed. In order to work on it again in 2.9, you'll need to export the changed project in 3 and export it back to 2.x format. Note that not all the settings will make the trip back and forth. This thread might provide more details:
viewtopic.php?f=2&t=41140&p=244027&hilit=export+version+2#p244027

Re: Why can't I register.

Posted: Tue Dec 05, 2017 10:28 am
by dom-tom
no, I never had version 3. I had v2.8. for testing. I wanted to register, and I received the serial number for version 3. Then I had to download the v2.9 to be able to enter the serial number. so, I wish I could write in v2.9, but I can not open the folders

Re: Why can't I register.

Posted: Tue Dec 05, 2017 1:00 pm
by dom-tom
Exception Name: NSInvalidArgumentException
-------
Exception Reason: -[NSCFArray objectAtIndexedSubscript:]: unrecognized selector sent to instance 0x1ad59d20
-------
0 CoreFoundation 0x906bd6ca __raiseError + 410
1 libobjc.A.dylib 0x95c665a9 objc_exception_throw + 56
2 CoreFoundation 0x9070a90b -[NSObject(NSObject) doesNotRecognizeSelector:] + 187
3 CoreFoundation 0x90663c06 ___forwarding___ + 950
4 CoreFoundation 0x906637d2 _CF_forwarding_prep_0 + 50
5 ScrAppKit 0x00428cf0 -[NSMutableAttributedString(RTFExtensions) removeAll3xStyleTags] + 247
6 ScrAppKit 0x0041c7eb -[NSAttributedString(KBAdditions) initWithScrivenerPackageRTF:documentAttributes:isMainText:ignoreImages:] + 2742
7 ScrAppKit 0x0041bd2e -[NSAttributedString(KBAdditions) initWithScrivenerPackageRTF:documentAttributes:isMainText:] + 65
8 Scrivener 0x0002f520 0x0 + 193824
9 Scrivener 0x0002fec4 0x0 + 196292
10 Scrivener 0x00093306 0x0 + 602886
11 Scrivener 0x00092d0f 0x0 + 601359
12 Scrivener 0x0007c9bd 0x0 + 510397
13 Scrivener 0x0007e6cb 0x0 + 517835
14 Scrivener 0x0007b0f2 0x0 + 504050
15 Scrivener 0x0007aa4c 0x0 + 502348
16 Scrivener 0x0004262f 0x0 + 271919
17 Foundation 0x92408369 __NSFireDelayedPerform + 537
18 CoreFoundation 0x90627a3b __CFRunLoopRun + 8059
19 CoreFoundation 0x906253c4 CFRunLoopRunSpecific + 452
20 CoreFoundation 0x906251f1 CFRunLoopRunInMode + 97
21 HIToolbox 0x95001e04 RunCurrentEventLoopInMode + 392
22 HIToolbox 0x95001bb9 ReceiveNextEventCommon + 354
23 HIToolbox 0x95001a3e BlockUntilNextEventMatchingListInMode + 81
24 AppKit 0x9533a595 _DPSNextEvent + 847
25 AppKit 0x95339dd6 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 156
26 AppKit 0x952fc1f3 -[NSApplication run] + 821
27 AppKit 0x952f4289 NSApplicationMain + 574
28 Scrivener 0x00003285 0x0 + 12933


this is the message errror.

Re: Why can't I register.

Posted: Tue Dec 05, 2017 1:07 pm
by dom-tom
even when I am looking to open a new project, scrivener 2.9. does not work

Re: Why can't I register.

Posted: Tue Dec 05, 2017 2:22 pm
by Hugh
dom-tom wrote:even when I am looking to open a new project, scrivener 2.9. does not work


I wonder if there was an issue with the download? I should try re-downloading.

Re: Why can't I register.

Posted: Wed Dec 06, 2017 1:51 pm
by dom-tom
Thanks for your help,
I erased scrivener and I downloaded it again. but the problem is always the same. I wonder if, since scrivener 2.8. works fine on my mac, if it would not be possible to get a paid serial number with which I can continue to use scrivener 2.8?
Thank you for your reply.